# classes/phing/tasks/system/AvailableTask.php

## \AvailableTask
jump to top

<available> task.

Note: implements condition interface (see condition/Condition.php)

Extends from
  \Task
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 1225 $

### Properties

`$filepath= 'null'`
Default value `null` Details

Type

`$property= ''`

Property to check for.

Details

Type

`$resource= ''`

Resource to check for

Details

Type

`$type= 'null'`
Default value `null` Details

Type

`$value= 'true'`

Value property should be set to.

Default value `true` Details

Type

### Methods

`_checkFile( ) :`
`_checkFile1( $file ) :`
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`_checkResource( $resource ) :`
Parameters

Name | Type | Description
--- | --- | ---
$resource |  |

`createFilepath( ) : \Path`
Creates a path to be configured
Returns

Type | Description
--- | ---
\Path |

`evaluate( ) :`
`main( ) :`
`setFile( $file ) :`
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`setFilepath( \Path $filepath ) :`
Set the path to use when looking for a file.
Parameters

Name | Type | Description
--- | --- | ---
$filepath | \Path | a Path instance containing the search path for files.

`setProperty( $property ) :`
Parameters

Name | Type | Description
--- | --- | ---
$property |  |

`setResource( $resource ) :`
Parameters

Name | Type | Description
--- | --- | ---
$resource |  |

`setType( $type ) :`
Parameters

Name | Type | Description
--- | --- | ---
$type |  |

`setValue( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

Documentation was generated by DocBlox 0.13.1.